Bug 1141486 - Review Request: perl-enum - C-style enumerated types and bitmask flags in Perl
Summary: Review Request: perl-enum - C-style enumerated types and bitmask flags in Perl
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Dick
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-14 00:58 UTC by Denis Fateyev
Modified: 2014-11-01 16:49 UTC (History)
3 users (show)

Fixed In Version: perl-enum-1.10-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-20 09:55:25 UTC
Type: ---
ddick: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Denis Fateyev 2014-09-14 00:58:32 UTC
Spec URL: http://www.fateyev.com/RPMS/Fedora20/testing/perl-enum.spec
SRPM URL: http://www.fateyev.com/RPMS/Fedora20/testing/SRPMS/perl-enum-1.10-1.fc20.denf.src.rpm
Description: This module is used to define a set of constants with ordered numeric values, similar to the enum type in the C programming language. The programmer can also define bitmask constants, where the value assigned to each constant has exactly one bit set (e.g. 1, 2, 4, 8, etc).
Fedora Account System Username: dfateyev

Koji scratch builds:
https://koji.fedoraproject.org/koji/taskinfo?taskID=7575407 (Rawhide)
https://koji.fedoraproject.org/koji/taskinfo?taskID=7575409 (Fedora 20)
https://koji.fedoraproject.org/koji/taskinfo?taskID=7575411 (EPEL 6)
https://koji.fedoraproject.org/koji/taskinfo?taskID=7575453 (EPEL 5)

Comment 1 David Dick 2014-10-06 19:59:52 UTC
License is correct

Builds ok in rawhide http://koji.fedoraproject.org/koji/taskinfo?taskID=7779090

rpmlint only complains about irrelevant spelling errors

Build and Runtime requires are correct

Package APPROVED

Comment 2 Denis Fateyev 2014-10-06 21:12:10 UTC
Thanks for the review.

New Package SCM Request
=======================
Package Name: perl-enum
Short Description: C-style enumerated types and bitmask flags in Perl
Owners: dfateyev
Branches: f19 f20 f21 el5 el6 epel7
InitialCC: perl-sig

Comment 3 Gwyn Ciesla 2014-10-07 12:09:15 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2014-10-11 19:17:33 UTC
perl-enum-1.10-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/perl-enum-1.10-1.fc21

Comment 5 Fedora Update System 2014-10-11 19:18:59 UTC
perl-enum-1.10-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/perl-enum-1.10-1.fc20

Comment 6 Fedora Update System 2014-10-11 19:19:42 UTC
perl-enum-1.10-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/perl-enum-1.10-1.fc19

Comment 7 Fedora Update System 2014-10-11 19:20:34 UTC
perl-enum-1.10-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/perl-enum-1.10-1.el7

Comment 8 Fedora Update System 2014-10-11 19:21:23 UTC
perl-enum-1.10-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-enum-1.10-1.el6

Comment 9 Fedora Update System 2014-10-11 19:22:11 UTC
perl-enum-1.10-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/perl-enum-1.10-1.el5

Comment 10 Fedora Update System 2014-10-12 13:55:15 UTC
perl-enum-1.10-1.fc20 has been pushed to the Fedora 20 testing repository.

Comment 11 Fedora Update System 2014-10-20 09:55:25 UTC
perl-enum-1.10-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 12 Fedora Update System 2014-10-20 09:56:21 UTC
perl-enum-1.10-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 13 Fedora Update System 2014-10-28 11:02:31 UTC
perl-enum-1.10-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 14 Fedora Update System 2014-10-28 11:03:54 UTC
perl-enum-1.10-1.el7 has been pushed to the Fedora EPEL 7 stable repository.

Comment 15 Fedora Update System 2014-10-28 11:04:24 UTC
perl-enum-1.10-1.el5 has been pushed to the Fedora EPEL 5 stable repository.

Comment 16 Fedora Update System 2014-11-01 16:49:28 UTC
perl-enum-1.10-1.fc21 has been pushed to the Fedora 21 stable repository.


Note You need to log in before you can comment on or make changes to this bug.